JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const grantListResponse of client.v1.credits.grants.list({ customerId: 'customerId' })) {
console.log(grantListResponse.id);
}import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
page = client.v1.credits.grants.list(
customer_id="customerId",
)
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.V1.Credits.Grants.List(context.TODO(), stigg.V1CreditGrantListParams{
CustomerID: "customerId",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.credits.grants.GrantListPage;
import io.stigg.models.v1.credits.grants.GrantListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
GrantListParams params = GrantListParams.builder()
.customerId("customerId")
.build();
GrantListPage page = client.v1().credits().grants().list(params);
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
page = stigg.v1.credits.grants.list(customer_id: "customerId")
puts(page)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Credits.Grants;
StiggClient client = new();
GrantListParams parameters = new() { CustomerID = "customerId" };
var page = await client.V1.Credits.Grants.List(parameters);
await foreach (var item in page.Paginate())
{
Console.WriteLine(item);
}stigg v1:credits:grants list \
--api-key 'My API Key' \
--customer-id customerIdcurl --request GET \
--url https://api.stigg.io/api/v1/credits/grants \
--header 'X-API-KEY: <api-key>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/credits/grants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "cred-grant-abc123",
"displayName": "Monthly credits",
"amount": 1000,
"consumedAmount": 250,
"grantType": "PROMOTIONAL",
"sourceType": null,
"priority": 1,
"effectiveAt": "2024-01-01T00:00:00.000Z",
"expireAt": "2024-12-31T23:59:59.000Z",
"voidedAt": null,
"metadata": {},
"cost": {
"amount": 0,
"currency": "usd"
},
"comment": null,
"customerId": "customer-123",
"resourceId": null,
"currencyId": "credits",
"invoiceId": null,
"latestInvoice": null,
"syncStates": [
{
"vendorIdentifier": "STRIPE",
"status": "PENDING",
"syncedEntityId": null
}
],
"paymentCollection": "NOT_REQUIRED",
"status": "ACTIVE",
"createdAt": "2025-10-26T10:00:00.000Z",
"updatedAt": "2025-10-26T10:00:00.000Z"
}
],
"pagination": {
"next": "c9b0a382-5b7d-4d32-9f62-8c4e1a7b3d9f",
"prev": "a1d4e8f2-6c3b-4a9e-b5f7-2d8c9e0f1a3b"
}
}{
"message": "<string>",
"code": "BadUserInput"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>",
"code": "IdentityForbidden"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Credit grants
Get a list of credit grants
Retrieves a paginated list of credit grants for a customer.
GET
/
api
/
v1
/
credits
/
grants
JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const grantListResponse of client.v1.credits.grants.list({ customerId: 'customerId' })) {
console.log(grantListResponse.id);
}import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
page = client.v1.credits.grants.list(
customer_id="customerId",
)
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.V1.Credits.Grants.List(context.TODO(), stigg.V1CreditGrantListParams{
CustomerID: "customerId",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.credits.grants.GrantListPage;
import io.stigg.models.v1.credits.grants.GrantListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
GrantListParams params = GrantListParams.builder()
.customerId("customerId")
.build();
GrantListPage page = client.v1().credits().grants().list(params);
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
page = stigg.v1.credits.grants.list(customer_id: "customerId")
puts(page)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Credits.Grants;
StiggClient client = new();
GrantListParams parameters = new() { CustomerID = "customerId" };
var page = await client.V1.Credits.Grants.List(parameters);
await foreach (var item in page.Paginate())
{
Console.WriteLine(item);
}stigg v1:credits:grants list \
--api-key 'My API Key' \
--customer-id customerIdAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Query Parameters
Return items that come after this cursor
Return items that come before this cursor
Maximum number of items to return
Required range:
1 <= x <= 100Filter by customer ID (required)
Maximum string length:
255Filter by resource ID. When omitted, only grants without a resource are returned
Maximum string length:
255Filter by currency ID
Maximum string length:
255Filter by creation date using range operators: gt, gte, lt, lte
Show child attributes
Show child attributes
Related topics
Get a list of credit ledger eventsGet a list of assignmentsGet a list of addonsGet a list of entitysGet a list of plan entitlements